import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/warehouse/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/warehouse/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/warehouse/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/warehouse/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/warehouse/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/base/warehouse/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/warehouse/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList,create,edit,add,update,remove,batchRemove
}